MattDavies

PTA 2.62 now available (Prepar3D 4.3 Compatibility)

Recommended Posts

Hi all,

We recently just made v2.62 of PTA available for users that have upgraded to Prepar3D v4.3.

You can find the download via your order page on the SimTweaks website. 

Please note: Due to shader structure change within Prepar3D v4.3, some of the tweaks in PTA v2.62 will NOT work in previous versions of Prepar3D. If you are not planning on upgrading from Prepar3D v4.2, you do NOT need to upgrade PTA. There isn't any new functionality in PTA v2.62, just compatibility with Prepar3D v4.3.

Thanks,

Matt.

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Thanks for doing this so quickly, Matt - much appreciated!!!

I doidn't really find anything earth-shattering about P3Dv4.3: it still looks pretty washed out without PTA (and we still have blobby clouds and terrible water) - so, for me at least, PTA is a *must*.

Adam.

  • Like 1
  • Upvote 1

Share this post


Link to post
Share on other sites
2 hours ago, MattDavies said:

Due to shader structure change within Prepar3D v4.3, some of the tweaks in PTA v2.62 will NOT work in previous versions of Prepar3D

Which ones please?

Share this post


Link to post
Share on other sites

Thanks for the quick update Matt.  You are a real Pro.   

Share this post


Link to post
Share on other sites

Hi Matt, im new to PTA. Do you have yout INI posted somewhere? I watched your your tube video from last year & the link is broken.

Thanks,

 

Share this post


Link to post
Share on other sites
On 6/29/2018 at 3:57 AM, Adamski_NZ said:

Thanks for doing this so quickly, Matt - much appreciated!!!

I doidn't really find anything earth-shattering about P3Dv4.3: it still looks pretty washed out without PTA (and we still have blobby clouds and terrible water) - so, for me at least, PTA is a *must*.

Adam.

Hi Adam,

Love your presets.  Will you be updating for 4.3 ?

 

 

Share this post


Link to post
Share on other sites

Hello,,

Prior to installing v2.62, does the existing PTA need to be uninstalled? Or can I simply install over the existing version?

thx,,, mike

Share this post


Link to post
Share on other sites
2 hours ago, ErichB said:

Hi Adam,

Love your presets.  Will you be updating for 4.3 ?

Thanks! Short answer: YES! Long answer: since installing 4.3, I've been using my 261_03+VD lighting version as a base and tweaking the odd thing here and there.  Quite honestly, I'm not sure how much exactly the lighting changed from 4.2 to 4.3 - or whether I just needed an excuse to tweak (it's an addiction!). All I remember is that both versions of 261_03 worked perfectly well with P3D4.3 - and got me back pretty instantly to how my old P3Dv4.2 looked. I just can't help myself.

I'm pretty pleased with the way my 262_01 is looking - but I'll be absolutely gutted if I find that when I compare the two, value by value, that I ended up exactly where I was before 🤣

I think I'm nearly ready with the VC lighting version, so will soon try and get the other one to match.

It's not as simple as it might appear, as you have to mimic what PTA does *locally* on the aircraft model (and inside the VC) with *global* changes - that end up affecting scenery and sky as well. I'd love to be able to just dump the non-VC-lighting version and concentrate on the other, as it's far more flexible. However - a few odd add-ons out there don't play ball when VC lighting is enabled ... so ...

Shouldn't be too long now - but don't expect any radical departures from 261_03 (if it ain't broke etc.).

 

10 minutes ago, orbmis said:

Prior to installing v2.62, does the existing PTA need to be uninstalled? Or can I simply install over the existing version?

You're not going to believe this - but I was in such a mad rush to install it that I've totally forgotten what I did in that respect. What I *do* remember doing was this:

1) Backed up the current PTA-modified P3Dv4.2 shaders files (the ones in P3D root) ... just to be double, triple safe.

2) When still in the old PTA and P3Dv4.2, restored the original shader files to get P3D back to its original state. Then backed those up (for good measure).

3) Uninstalled the 4.2 client (I did content and scenery as well, while I was at it - but it's not mandatory).

4) Installed the new P3D components and backed up the new/original shaders files  - just in case!

5) Backed up my entire existing PTA folder. If you're uninstalling from the Windows CP, then this is probably a good idea - in case all your favourite presets get nuked. Unlikely - but you never know!

6) Installed the new PTA (sorry - can't remember whether I uninstalled it or over-wrote).

7) Loaded up my old preset and breathed a huge sigh of relief!

None of the "backing-up" steps above take long. None of the files are huge - so it's really no bother.

Adam.

Share this post


Link to post
Share on other sites
43 minutes ago, Adamski_NZ said:

All I remember is that both versions of 261_03 worked perfectly well with P3D4.3

Great!

Share this post


Link to post
Share on other sites
Posted (edited)

Here's a sneak preview of 262_01 ...

p3dv43_dc6b_01_373_1350.jpg

p3dv43_anson_03_45_1350.jpg?dl=1

a2a_t6_nca_01_144_1350.jpg?dl=1

Adam.

Edited by Adamski_NZ
  • Like 3

Share this post


Link to post
Share on other sites

Just installed Adams 262_01 preset - another winner Adam.

Much appreciated.

Bob

Share this post


Link to post
Share on other sites

Thank You Adam for your tremendous efforts and sharing them with the PTA community.  

Share this post


Link to post
Share on other sites
1 hour ago, vatsim5 said:

Thank You Adam for your tremendous efforts and sharing them with the PTA community.  

It's a pleasure!!!

Here's another pic - just to show it's not *always* blues and greens!

t6_monument_valley_812_1350.jpg?dl=1

Adam.

Share this post


Link to post
Share on other sites
Posted (edited)

I get this error when opening PTA - Latest version Academic....

PTA version : 2.11
Prepar3D main directory: <>
Target Prepar3D version: <UNSUPPORTED>
Prepar3D main config file: <>
Shaders cache directory: <>
Shaders backup directory: <>

Edited by Greg Jensen

Share this post


Link to post
Share on other sites

PTA version 2.11????

Did you do a clean install of PTA (ie. uninstall the old one) ... and have you updated the P3D client to 4.3? PTA 2.62 isn't backwards-compatible with P3Dv4.2 (or less).

Adam.

Share this post


Link to post
Share on other sites

I activate it and get PTA Activation succesful. Then i apply a preset and get Error: Activation required

Share this post


Link to post
Share on other sites

Hello,

today I tried to install the RD Preset via PTA. Everything worked fine, except of flashing ground scenery now. It always changes from normal to totally black and back again.

Any suggestions ?

Thanks.

Share this post


Link to post
Share on other sites

Do I need to leave P3Dv4.3 HDR enabled to apply PTA?

Share this post


Link to post
Share on other sites
5 hours ago, trisho0 said:

Do I need to leave P3Dv4.3 HDR enabled to apply PTA?

Yes. There are a few settings in PTA that specifically require it to be enabled. I'm not a great fan of HDR - particularly the "bloom" function, so most of my presets have it set to a bare minimum (or set to zero).

Adam.

Share this post


Link to post
Share on other sites
37 minutes ago, Adamski_NZ said:

Yes. There are a few settings in PTA that specifically require it to be enabled. I'm not a great fan of HDR - particularly the "bloom" function, so most of my presets have it set to a bare minimum (or set to zero).

Adam.

Do you mean HDR activated but settings as Brightness, Bloom and Saturation all at zero?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now